1.9.1 -> 1.9.2
----
A list of changed files is available after release here:
http://github.com/BigBrotherBot/big-brother-bot/compare/v1.9.1...v1.9.2
----

Minor release to fix an installation problem when using the easy_install tool with python 2.6


1.9.0 -> 1.9.1
----
A list of changed files is available after release here:
http://github.com/BigBrotherBot/big-brother-bot/compare/v1.9.0...v1.9.1
----

B3 1.9.1 is an update that adds support for the new maps and gamemode for BF3 DLC "End Game".
It also adds support for the plugins PingWatcher and PingKicker for BF3.


1.8.2 -> 1.9.0
----
A list of changed files is available after release here:
http://github.com/BigBrotherBot/big-brother-bot/compare/v1.8.2...v1.9.0
----

# Game related changes:
- BF3: updated with DLC "Close Quarter", "Armored kill" and "Aftermath" maps and gamemode info
- BF3: command !map can optionally specify the wanted gamemode and number or rounds : !map firestorm, conquest64, 2
- Red Orchestra 2 now working with the B3 win32 packages
- Urban Terror : fix !nextmap bug when the mapcycle file contains empty lines
- Urban Terror : improves !map <map name> capabilities to find out the correct map name when given name is an approximate
- Quake3 based games: fixes the 'RCON: too much tries' error message that appeared with v1.8.2
- Red Orchestra 2 : Update client/server 1.1.0.8+

# Plugin related changes:
- The !help command does not make B3 unresponsive anymore on Quake3 based games
- Xlrstats plugin: fixes issue with command !xlrstats command silently failing on a 1st time seen map https://github.com/xlr8or/big-brother-bot/issues/88
- Admin plugin: new command !unreg <player> which removes a player from the 'regular' group. Work together with the existing !makereg <player> command
- Admin plugin: new command !lastbans which lists the 5 last active bans/tempbans
- Admin plugin: new command !regulars which lists online players from the 'Regular' group
- Adv plugin: add new message keyword '@regulars' that will run the Admin plugin command !regulars
- Spamcontrol plugin : you can define the minimum group required to use the !spamins command. Also you can now define an alias for the spamins command.
- In plugin config files, you can use group keywords (user, reg, mod, admin, fulladmin, senioradmin, superadmin) instead of group levels when defining commands' required level

- Many minor bugfixes and improvements to B3 core and native plugins

# New games supported:

Urban Terror 4.2
 - UrT 4.2 has now its own B3 parser : iourt42
 - New penalty available : kill. You can use it in the censor plugin configuration for instance.
 - The Spamcontrol plugin reacts to radio message spamming
 - Fires game specific events for plugins : EVT_CLIENT_RADIO, EVT_CLIENT_CALLVOTE, EVT_CLIENT_VOTE, EVT_GAME_FLAG_HOTPOTATO for other plugins to act on.
 - There are new settings in the b3.xml config file to let you choose if you want to ban using the Frozen Sand auth system (with the rcon 'auth-ban' command). Have a look at the b3.iourt42.tpl template config file

CoD8 / 4D1
 - B3 now supports CoD8 from 4D1. See http://forum.bigbrotherbot.net/call-of-duty-8-%28modern-warfare-3%29/

Counter-Strike: Global Offensive
 - beta support for CS:GO (B3 parser code: csgo, requires SourceMod on the game server, and '-condebug' parameter on the game server command line)

ArmA II
 - ArmA II and DayZ are now supported. Use the B3 parser 'arma2' for both of them.

Ravaged
 - Ravaged by 2Dawn is now supported.

# Upgrading note:

* Now B3 ensures group levels do exists when used in plugin config files. The plugin_admin.xml config files was using bad group level prior to B3 1.9.
  Make sure to correct them by comparing your own plugin_admin.xml with the new one.
* SpamControl plugin : The config file plugin_spamcontrol.xml has a new section regarding the !spamins command. Make sure to update your config file.
* FTP : if your b3.xml is set up to read your game server log file over ftp, then you may have to adjust the game_log value if you see that it isn't working good anymore. The correct url to
  set for game_log is the url that works in your Internet Browser.


1.8.1 -> 1.8.2
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.8.1...v1.8.2
----
- BF3: added Close Quarter DLC maps specifics
- BF3: implementation of update R24
- Many bugfixes, core improvements and scaling enhancements (larger eventqueue)

1.8.0 -> 1.8.1
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.8.0...v1.8.1
----
Game updates
- Now supports BF3 server release R20 (supports private messaging and bigscreen text)
Improvements
- ctime plugin is now a subplugin of XLRstats (disable your seperate ctime plugin!)
- xlrstats .sql code now part of the b3.sql distribtution and updates
  (no more need to install/update the tables seperately)
- status plugin can store data in a database and/or status.xml file

1.7.1 -> 1.8.0
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.7.1...v1.8.0
----
New games :
- Red Orchestra 2
- BattleField 3
Improvements :
- Urban Terror : improved team handling
- CoD7: better suicide handling
- TK-plugin adapted to BF3
- Better error handlng, improved error messages and python version checking
- Multiple core enhancements


1.6.1 -> 1.7.1
----
(version 1.7.0 was only available for a few hours, thus can be ignored.
 v1.7.1 rolls back 1 file: b3/parsers/q3a/rcon.py)
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.6.1...v1.7.1
----
Improvements :
- Homefront : additions to support last game server patches
- Urban Terror : improved damagehandling
- Cod7 : the !kick command will now display the reason the the kicked player
- BFBC2 and MoH : fix map related commands when game mode would change at next round
- XLRstats added options to hide/disregard ingame playerbots
- Store IP aliases for players
- ftp, sftp and http now able to append to local log
- add experimental support for sqlite databases
- Punkbuster Plugin: FTP support to update pbbans.dat
- many minor fixes and improvements
New games supported :
- Support for Soldier of Fortune 2 (modified ROCmod by: cgs-clan.com)
- Beta support for Frontlines, Fuel of War
Changes for plugin developers :
- all games : new event EVT_GAME_MAP_CHANGE available
- all games : data provided with EVT_CLIENT_BAN_TEMP and EVT_CLIENT_BAN changed to provide more info (might break some plugins)
- BFBC2 : add EVT_GAME_ROUND_TEAM_SCORES and EVT_GAME_ROUND_PLAYER_SCORES events
- the !reconfig command will call onLoadConfig() from all plugins 

1.6.0 -> 1.6.1
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.6.0...v1.6.1
----
- Improvements to win32 installer
- Added eventstats to verbose mode to monitor eventqueue
- Improvements to Homefront parser
- Improvements to CoD7 parser (kick reason)
- Fixes to --update routine

1.5.0 -> 1.6.0
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.5.0...v1.6.0
----
IMPORTANT: Due to a bug in python 2.6 you can run into unicode errors. Please
update your version of python to at least 2.6.6 to get them fixed. 
----
- Added support for Homefront
- Added support for World of Padman 1.5
- Added beta support for Altitude
- Refactored core files to use unicode
- bugfixes for Call of Duty World at War (in cod parser)  
- bugfixes to Call of Duty Black Ops (cod7) parser
----


1.4.1 -> 1.5.0
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.4.1...v1.5.0
----
- Support for CoD:BO
- Introduction of the q3a abstractparser
- Introduction of caching for rcon status requests (q3a based parsers)
- Setup procedure improved (can read previous config and install database tables)
- Moved sql files from docs folder to sql folder
- Config section <messages> changed format (no longer uses %s but readable names instead)
- Config section <plugins>: Plugin can start in a disabled state (disabled="Yes")
- XLRstats plugin can now enable on minimum number of players online
- many bugfixes and improvements

1.4.0 -> 1.4.1
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.4.0...v1.4.1
----
- Support for CoD:MW2 (for alteriw.net servers)
- Rewrite of the frostbite code for MOH and BFBC2
- Improvements to the MOH parser
- Initial Event/Action support for CoD 5 (we need confirmation of cod5 admins that this works)
- Several bugfixes and improvements


1.3.3 -> 1.4.0
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.3.3...v1.4.0
----
- Medal of Honor 2010 support
- Opena Arena 0.8.1 support
- Restart mode fixed (--restart)
- Remote protocols SFTP and HTTP added
- CoD parsers bugfixes
- Xxlrstats plugin improvements
- Updates to stats plugin


1.3.2 -> 1.3.3
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.3.2...v1.3.3
----
Maintenance release for bfbc2 parser:
- Adapted to R16+ protocol
- New events added to aid player gear monitoring
- Fixed broken !unban
- Better client authentication
- Hitlocation, weapon and roundscounting now available for stats collecting


1.3.1 -> 1.3.2
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.3.1...v1.3.2
----
Maintenance release for bfbc2 parser.
- Fixed bfbc2 package error for win32 standalone release.


1.3.0 -> 1.3.1
----
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.3.0...v1.3.1
----
Maintenance release for CoD series parsers.
- Preventing invalid PB-id's on authentication

1.2.1 -> 1.3.0
----
Over 100 files were changed (in almost 500 commits)! We strongly recommend updating the complete bot!
Also make sure you check your saved config files for additions and changes!
A list of changed files is available after release here:
github.com/BigBrotherBot/big-brother-bot/compare/v1.2.1...v1.3.0
----
Upgrading:
A number of commands were moved from the adminplugin to welcome and pingwatch plugin.
This results in changes to the next config files:
* plugin_admin.xml (some commands were removed)
* plugin_welcome.xml (new command !greeting)
* plugin_pingwatch.xml (new command !ci)
If you're using xlrstats, make sure the database holding the xlrstats tables is upgraded:
* new tables for xlrstats need to be created (run xlrstats.sql or xlrstats-update-to-v2.0.0.sql on the database!) 
----
- Setup procedure added. Initiated with option -s, --setup (can be overridden by -n, --nosetup option)
- b3/plugins/censor.py: Fixed censor.py badname functionality.
	(Also compatible with censorurt)
- Total makeover of the complete cod parser series
  * Introduced authentication queue
  * fixed _regPlayer regexp
  * fixed client synchronisation 
  * Should now work good for servers with and without PB
- Fixed minor bugs in cod5 parser
- b3/parsers/iourt41.py: improve Urt slot bug workaround as it appears it can occur with slot num different than 0
- B3 checks for updates on startup
- Improvements to ftp functionality
-	b3/tools/documentationBuilder.py: add a new feature to B3 : user
	command documentation auto generation and update.  documentation can
	be saved as a full html document, a html table snippet or xml
	document.  the document can be either saved locally on disk or
	uploaded to a FTP server.
- b3/extplugins/xlrstats.py: 
	Added history functionality and improved column update.  [!!]This
	version needs new tables added. Run b3/docs/xlrstats.sql or
	b3/docs/xlrstats-update-to-v2.0.0.sql prior to installation!
- b3/plugins/admin.py:
  Moved !ci to pingwatch plugin
  Moved !greeting to welcome plugin
  Removed redundant commands: about, groups, cmdlevel, newgroup, delgroup, editgroup
-	[BETA addition] b3/parsers/smg.py, b3/parsers/smg11.py: PARSER smg is compatible
	with SG pior 1.1. smg11 uses the new /tell command for private chat
-	[BETA addition] b3/parsers/bfbc2: Parser for BattleField Bad Company 2 (R9 servers)
----

1.2.1
----
- B3 now supports connecting to Gameservers via an FTP connection. Read the manual for more details. (Python 2.6+ only!)
- Small improvements to cod parser and cod4 parser
- Added scripts for compiling wininstaller
- Improvements to ioUrT41 parser
- Improvements to publist, will not error on network or server downage
- The console screen now shows startup messages and checks

1.2.0
----
- Several Core enhancements!
- A parser can now define game specific new penalty types that will be called by b3.admin.penalizeClient()
- Fix custom penalty for censor plugin 
- Fix !clear command that failed when a warning given by the bot was active
- Load publist by default and added critical stop if admin plugin is not loaded
- Plugins can specify that they do not require a config file
- Fix default config file picking for plugins
- Added action mechanism
- If masked show masked level instead of real level
- Warning Messages are now, by default, only sent to the warned player and the admin that sent the warning. This is a configurable option, in admin config.
- Fixed !rebuild command for Call of Duty 4.
- Punkbuster plugin now follows levels set in its configuration file.

1.1.5 (not released)
-----
- Minor updates to CoD4 and CoD5 parsers
- Added etpro parser (Enemy Territory with etpro mod installed - et does not support private messaging!)
- Added Smoking Guns parser (Very limited engine, no PM's supported)
- Minor change in login.py so it can be used for etpro
- parser.py patched by 'arbscht' to support restarting
- status.py fixed for masked levels

1.1.4
-----
- Fixed CoD4 Parser
- Added CoD5 Parser
- Added sanitation code to status plugin
- Added delay setting and fixed double welcoming to welcome plugin
- Fixed MySQL reconnect for Error 2006: 'MySQL server has gone away'
- In config.py, try to load ElementTree from elementtree, then retry from xml.etree or exit with an explicit message.
- Multiple minor bugfixes 

1.1.3
-----
- Added COD4 parser
    - COD4 parser uses GUID instead of CID from the log files
    - COD4 parser uses GUID in log files as PBID
    - Does not use the team from a kill event if it's empty, instead relies on team from previous events - TK plugin works again!
- Made !iamgod work automatically when there are no superadmins in the database, can be completely disabled by adding <set name="iamgod">none</set> to plugin_admin.xml
- Fixed: getWarning errors had the text "getSpam" instead of "getWarning"
- Added a replay log mode. Simply set the config to an old game log and server.replay to on in b3.xml. Only works for COD4 log files. Used to debug b3.
- Fixed clients.py to save the last used ip. Fixes empty ip fields in clientrecords and the countryfilter plugin to work properly.
- Added ioUrT41 parser (Urban Terror)
- Added WoP parser (World of Padman)
- Replaced xlrstats plugin with latest version 0.6.0
- Replaced status.py with latest version.

